package com.om.controller.admin;


import com.om.entity.dto.UpStatusDto;
import com.om.entity.vo.DiagnosisVersionVO;
import com.om.entity.vo.DignosisPageVO;
import com.om.service.IDiagnosisVersionInfoService;
import com.om.utils.Result;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-03-06
 */
@RestController
@RequestMapping("/diagnosis-version-info")
public class DiagnosisVersionInfoController {

    @Resource
    IDiagnosisVersionInfoService dvIoService;

    @PostMapping("/add")
    public Result add(@RequestBody DiagnosisVersionVO diagnosisVersionVO){

        return dvIoService.add(diagnosisVersionVO);
    }

    @GetMapping("/downloadFile/{id}")
    public Result downloadFile(@PathVariable(value = "id")Integer id){

        return dvIoService.downloadFile(id);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody DiagnosisVersionVO diagnosisVersionVO){

        return dvIoService.edit(diagnosisVersionVO);
    }

    @GetMapping("/getById/{id}")
    public Result getByUserId(@PathVariable(value = "id")Integer id){

        return dvIoService.getByUserId(id);
    }

    @PostMapping("/getDesc")
    public Result getDesc(@RequestBody DiagnosisVersionVO diagnosisVersionVO){

        return dvIoService.getDesc(diagnosisVersionVO);
    }
    @PostMapping("/getPageList")
    public Result getPageList(@RequestBody DignosisPageVO dignosisPageVO){

        return dvIoService.getPageList(dignosisPageVO);
    }

    @GetMapping("/release/{id}")
    public Result release(@PathVariable(value = "id")Integer id){

        return dvIoService.release(id);
    }


    @PostMapping("/repeal/{id}")
    public Result repeal(@PathVariable(value = "id")Integer id){

        return dvIoService.repeal(id);
    }

    @PostMapping("/upStatus")
    public Result upStatus(@RequestBody UpStatusDto upStatusDto){

        return dvIoService.upStatus(upStatusDto);
    }

}
